- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Slots | Protected Member Functions | Friends

# QS60Style Class Reference

Search for all occurrences

## Detailed Description

Definition at line 65 of file qs60style.h.

`#include <qs60style.h>`

Inheritance diagram for QS60Style:
[legend]

List of all members.

## Public Member Functions
| QS60Style ()
| ~QS60Style ()
void | drawComplexControl (ComplexControl control, const QStyleOptionComplex *option, QPainter *painter, const QWidget *widget=0) const
void | drawControl (ControlElement element, const QStyleOption *option, QPainter *painter, const QWidget *widget=0) const
void | drawPrimitive (PrimitiveElement element, const QStyleOption *option, QPainter *painter, const QWidget *widget=0) const
int | pixelMetric (PixelMetric metric, const QStyleOption *option=0, const QWidget *widget=0) const
QSize | sizeFromContents (ContentsType ct, const QStyleOption *opt, const QSize &contentsSize, const QWidget *w=0) const
int | styleHint (StyleHint sh, const QStyleOption *opt=0, const QWidget *w=0, QStyleHintReturn *shret=0) const
QRect | subControlRect (ComplexControl control, const QStyleOptionComplex *option, SubControl scontrol, const QWidget *widget=0) const
QRect | subElementRect (SubElement element, const QStyleOption *opt, const QWidget *widget=0) const
void | polish (QWidget *widget)
void | unpolish (QWidget *widget)
void | polish (QApplication *application)
void | unpolish (QApplication *application)
bool | event (QEvent *e)
void | setS60Theme (const QHash< QString, QPicture > &parts, const QHash< QPair< QString, int >, QColor > &colors)
bool | loadS60ThemeFromBlob (const QString &blobFile)
bool | saveS60ThemeToBlob (const QString &blobFile) const
## Static Public Member Functions
static QStringList | partKeys ()
static QStringList | colorListKeys ()
## Protected Slots
QIcon | standardIconImplementation (StandardPixmap standardIcon, const QStyleOption *option=0, const QWidget *widget=0) const
## Protected Member Functions
void | timerEvent (QTimerEvent *event)
bool | eventFilter (QObject *o, QEvent *e)
## Friends
class | QStyleFactory
class | QApplicationPrivate

## Constructor & Destructor Documentation

QS60Style | ( |  | ) |

~QS60Style | ( |  | ) |

## Member Function Documentation

void drawComplexControl | ( | ComplexControl | control,
|  | const QStyleOptionComplex * | option,
|  | QPainter * | painter,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

void drawControl | ( | ControlElement | element,
|  | const QStyleOption * | option,
|  | QPainter * | painter,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

void drawPrimitive | ( | PrimitiveElement | element,
|  | const QStyleOption * | option,
|  | QPainter * | painter,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

int pixelMetric | ( | PixelMetric | metric,
|  | const QStyleOption * | option = `0`,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

QSize sizeFromContents | ( | ContentsType | ct,
|  | const QStyleOption * | opt,
|  | const QSize & | contentsSize,
|  | const QWidget * | w = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

int styleHint | ( | StyleHint | sh,
|  | const QStyleOption * | opt = `0`,
|  | const QWidget * | w = `0`,
|  | QStyleHintReturn * | shret = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

QRect subControlRect | ( | ComplexControl | control,
|  | const QStyleOptionComplex * | option,
|  | SubControl | scontrol,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

QRect subElementRect | ( | SubElement | element,
|  | const QStyleOption * | opt,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

void polish | ( | QWidget * | widget | ) | `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

void unpolish | ( | QWidget * | widget | ) | `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

void polish | ( | QApplication * | application | ) | `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

void unpolish | ( | QApplication * | application | ) | `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

bool event | ( | QEvent * | e | ) | `[virtual]`

Search for all occurrences

Reimplemented from QObject.

static QStringList partKeys | ( |  | ) | `[static]`

Search for all occurrences

static QStringList colorListKeys | ( |  | ) | `[static]`

Search for all occurrences

void setS60Theme | ( | const QHash< QString, QPicture > & | parts,
|  | const QHash< QPair< QString, int >, QColor > & | colors
| ) |  |

Search for all occurrences

bool loadS60ThemeFromBlob | ( | const QString & | blobFile | ) |

Search for all occurrences

bool saveS60ThemeToBlob | ( | const QString & | blobFile | ) | const

Search for all occurrences

QIcon standardIconImplementation | ( | StandardPixmap | standardIcon,
|  | const QStyleOption * | option = `0`,
|  | const QWidget * | widget = `0`
| ) |  | const `[protected, slot]`

Search for all occurrences

Reimplemented from QCommonStyle.

void timerEvent | ( | QTimerEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

bool eventFilter | ( | QObject * | o,
|  | QEvent * | e
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

## Friends And Related Function Documentation

friend class QStyleFactory `[friend]`

Search for all occurrences

Definition at line 110 of file qs60style.h.

friend class QApplicationPrivate `[friend]`

Search for all occurrences

Reimplemented from QObject.

Definition at line 111 of file qs60style.h.

The documentation for this class was generated from the following file:

- QtGui/qs60style.h

QS60Style QS60Style QS60Style QS60Style QS60Style QS60Style QS60Style QS60Style QS60Style QS60Style
QS60Style QS60Style QS60Style QS60Style QS60Style QS60Style QS60Style QS60Style QS60Style QS60Style